Bug 489130 - Review Request: gnome-guitar - A small suite of applications for the guitarist
Review Request: gnome-guitar - A small suite of applications for the guitarist
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On: 489129
Blocks: 489435 gnome-guitar
  Show dependency treegraph
 
Reported: 2009-03-07 17:53 EST by Orcan Ogetbil
Modified: 2011-01-11 04:53 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.8.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 10:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-07 17:53:22 EST
Spec URL: http://oget.fedorapeople.org/review/gnome-guitar.spec
SRPM URL: http://oget.fedorapeople.org/review/gnome-guitar-0.8.1-1.fc10.src.rpm
Description: 
Gnome Guitar is chord and scale database for gnome. It can be used as a stand
alone application (for example you could use it to find how to play a specific
chord or scale) or it can integrate with other applications to provide chord
selection and rendering.

rpmlints:
   gnome-guitar.x86_64: E: no-binary
   gnome-guitar.x86_64: E: only-non-binary-in-usr-lib
These are false alarms. There are binary files in /usr/lib* . It may be because this is a mono package.

   gnome-guitar.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas 
   /libgnomeguitar.schemas
Correct me if I'm wrong but AFAIK no gconf packages use (noreplace).

   gnome-guitar-devel.x86_64: W: no-documentation
Not much I can do anything about it.
Comment 1 Orcan Ogetbil 2009-03-07 17:55:03 EST
The package does not build yet on rawhide because of a mono bug. See: Bug# 467294

It builds on F-10 though.
Comment 2 Orcan Ogetbil 2009-03-07 17:57:04 EST
Sorry, it should be bug# 489129
Comment 3 Orcan Ogetbil 2009-03-07 18:21:10 EST
The mono bug is fixed. Now it should be possible to build gnome-guitar on rawhide.
Comment 4 Christian Krause 2009-03-09 19:47:43 EDT
Hi Orcan,

I've reviewed your request. Please consider this as an inofficial review since I'm new in the packager's group. I hope I could help anyway. ;-)

* rpmlint: OK
rpmlint RPMS/i386/gnome-guitar-* SRPMS/gnome-guitar-0.8.1-1.fc10.src.rpm 
gnome-guitar.i386: E: no-binary
gnome-guitar.i386: E: only-non-binary-in-usr-lib
gnome-guitar.i386: W: conffile-without-noreplace-flag /etc/gconf/schemas/libgnomeguitar.schemas
gnome-guitar-devel.i386: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

as already explained in the request, these are false positives

* name: OK
- upstream has slightly different name: gnome-guitar_cs, but according to the NamingGuidelines it is possible to change it e.g. if the original name uses wrong characters or would be somehow strange ;-)
- ubuntu also already named the package without _cs

* spec file name matches %{name}: OK

* License: OK
- License tag matches actual license
- project ships gpl-3.0.txt in the various subdirectories
- no restrictions to explicitly 3.0, so GPLv3+ is ok

* License file packaged: OK

* spec file in English: OK

* spec file legible: OK

* source tarball match upstream: OK
- spectool -g SPECS/gnome-guitar.spec works
- sha1sum: b6ea73215c53a0b8bd11cc01f1a8969389170d57  gnome-guitar_cs-0.8.1.tar.gz
- md5sum: 9bb146c8667fe503739ae7ff8b4d4213  gnome-guitar_cs-0.8.1.tar.gz

* package compilable: BAD
- compiles in F10, i386
- fails at least for the 64 bit archs
- https://koji.fedoraproject.org/koji/taskinfo?taskID=1233610
- https://koji.fedoraproject.org/koji/taskinfo?taskID=1233605
- https://koji.fedoraproject.org/koji/taskinfo?taskID=1233600
- problem should be either fixed or the architectures should be excluded in the spec file

* BuildRequirements: OK

* pre/post requires: OK
- GConf2 required
- no need to require a package for gtk-update-icon-cache (according to packaging
guidlines)

* locales handling: OK (no locales)

* shared libs handling: OK (no shared libs)

* owns all created directories: OK

* no duplicates in %files: OK

* file permissions: OK
- %defattr used

* %clean section: OK

* macros usage: OK

* package contains only code, no content: OK

* documentation: OK (no documentation available)

* header in -devel: OK (no headers)

* static lib in -static: OK (no static lib)

* devel packages containing pkgconfig files must require pkgconfig: BAD

* handling of *.so files: OK (no shared libs)

* devel package requires base package: OK

* no *.la files: OK

* gui application requires *.desktop file: OK
- gnome-chord.desktop
- gnome-scale.desktop
- integrate correctly into menu (tested in gnome)

* package ownes files/dirs already owned: OK

* rm -rf %{buildroot} at beginning of %install: OK

* filenames UTF-8: OK

* package works: OK
- both programs gnome-chord and gnome-scale basically work on F10, can be started from menu, no segfault etc. within a short test period

* GTK+ icon cache: seems to be ok, however it differs sligthly from the example in http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

Regards,
Christian
Comment 5 Orcan Ogetbil 2009-03-09 22:21:05 EDT
(In reply to comment #4)
> Hi Orcan,
> 
> I've reviewed your request. Please consider this as an inofficial review since
> I'm new in the packager's group. I hope I could help anyway. ;-)
> 
Chris, welcome to Fedora and thanks for the unofficial review. It will certainly speed things up.

> 
> * package compilable: BAD
> - compiles in F10, i386
> - fails at least for the 64 bit archs
> - https://koji.fedoraproject.org/koji/taskinfo?taskID=1233610
> - https://koji.fedoraproject.org/koji/taskinfo?taskID=1233605
> - https://koji.fedoraproject.org/koji/taskinfo?taskID=1233600
> - problem should be either fixed or the architectures should be excluded in the
> spec file
> 

I didn't know mono was unavailable in ppc64, so I put that in ExcludeArch. I also filed a bug for this as required by the guidelines
   https://bugzilla.redhat.com/show_bug.cgi?id=489435
The x86_64 build was failed because a flawed version of mono is tagged in buildroot. I filed a ticket to releng
   https://fedorahosted.org/rel-eng/ticket/1322
and let the mono packager know about the problem
   https://bugzilla.redhat.com/show_bug.cgi?id=489129#c4

Unfortunately, it won't be available to build mono on koji on F-10 until the flawed version of mono is untagged. Meanwhile, the rawhide version is built in koji:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1233875

> 
> * devel packages containing pkgconfig files must require pkgconfig: BAD
> 

I missed this one. Fixed in this new release.

> 
> * GTK+ icon cache: seems to be ok, however it differs sligthly from the example
> in http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
> 

That page is a little outdated. There is a new guideline for icon cache that was recently approved by FESCo:
   https://www.redhat.com/archives/fedora-devel-list/2009-February/msg01604.html
   https://fedoraproject.org/wiki/PackagingDrafts/Icon_Cache

> Regards,
> Christian  

Thanks again for your comments and have fun in Fedora.

Updated files:
Spec URL: http://oget.fedorapeople.org/review/gnome-guitar.spec
SRPM URL: http://oget.fedorapeople.org/review/gnome-guitar-0.8.1-2.fc10.src.rpm

Changelog: 0.8.1-2
- Add ExcludeArch:ppc64 since mono is not available in this architecture.
- devel subpackage requires pkgconfig
Comment 6 Christian Krause 2009-03-10 17:24:32 EDT
Hi Orcan,

Thanks for the fast reply. 

All issues from the review are addressed:

- build problems: 
* builds fine in F11 for the major archs containing mono (ppc64 excluded)
* build problem in F10 temporary due to broken package in testing, local build for F10, X86 works fine

- BR pkgconfig:
* added to devel package

- gtk-icon cache:
* correct according to the recent changes of the scriptlets
Thanks for the information - this was new to me! ;-)

So, from my side the package looks very good. Since it is one of my first reviews I'd like to get the review double-checked before I officially approve it.

Christian
Comment 7 Orcan Ogetbil 2009-03-10 23:08:46 EDT
Wunderbar. I'm glad that you got sponsored. The tag on the bad mono is removed from F-10 buildroot so the package builds in koji now:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1235927

If you are particularly interested in audio production software, check the Audio Creation SIG out. You might want to join:
   https://fedoraproject.org/wiki/AudioCreation
Comment 8 Tom "spot" Callaway 2009-03-11 09:57:43 EDT
I concur with Christian's review. Go ahead and make it official.
Comment 9 Christian Krause 2009-03-11 14:58:31 EDT
(In reply to comment #8)
> I concur with Christian's review. Go ahead and make it official.  

Thanks Tom!

Ok, so according to the review details in comment #4 and #6:

-> APPROVED
Comment 10 Orcan Ogetbil 2009-03-11 15:50:04 EDT
Thank you for the review!

New Package CVS Request
=======================
Package Name: gnome-guitar
Short Description: A small suite of applications for the guitarist
Owners: oget
Branches: F-10
InitialCC:
Comment 11 Kevin Fenzi 2009-03-12 22:32:32 EDT
cvs done.
Comment 12 Fedora Update System 2009-03-12 23:39:40 EDT
gnome-guitar-0.8.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gnome-guitar-0.8.1-2.fc10
Comment 13 Fedora Update System 2009-03-13 14:42:17 EDT
gnome-guitar-0.8.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-guitar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2681
Comment 14 Fedora Update System 2009-03-26 10:54:25 EDT
gnome-guitar-0.8.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.